commit:     ed6b91ce5b16625ff9d191033b6aacb8c73a308e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  3 22:53:25 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr  3 22:53:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed6b91ce

dev-libs/openct: multilib--, sort USE, missing die

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/openct/openct-0.6.20-r4.ebuild | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/dev-libs/openct/openct-0.6.20-r4.ebuild 
b/dev-libs/openct/openct-0.6.20-r4.ebuild
index a9c60e5a381..1ec25fe7b6e 100644
--- a/dev-libs/openct/openct-0.6.20-r4.ebuild
+++ b/dev-libs/openct/openct-0.6.20-r4.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-inherit flag-o-matic multilib udev user
+inherit flag-o-matic udev user
 
 DESCRIPTION="library for accessing smart card terminals"
 HOMEPAGE="https://github.com/OpenSC/openct/wiki";
@@ -13,7 +13,7 @@ KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~m68k ~mips ppc ppc64 
s390 sparc x86"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-IUSE="doc pcsc-lite usb debug"
+IUSE="doc debug pcsc-lite usb"
 
 RDEPEND="pcsc-lite? ( >=sys-apps/pcsc-lite-1.7.2-r1:= )
        usb? ( virtual/libusb:0 )
@@ -35,7 +35,8 @@ src_configure() {
                --enable-non-privileged \
                --with-daemon-user=openctd \
                --with-daemon-groups=usb \
-               --enable-shared --disable-static \
+               --enable-shared \
+               --disable-static \
                $(use_enable doc) \
                $(use_enable doc api-doc) \
                $(use_enable pcsc-lite pcsc) \
@@ -45,8 +46,9 @@ src_configure() {
 
 src_install() {
        default
-       find "${D}" -name '*.la' -delete || die
-       rm "${D}"/usr/$(get_libdir)/openct-ifd.*
+
+       find "${ED}" -name '*.la' -delete || die
+       rm "${ED}"/usr/$(get_libdir)/openct-ifd.* || die
 
        udev_newrules etc/openct.udev 70-openct.rules
 

Reply via email to